# Picture class

An object representing a sequence of recorded graphical operations.

To create a Picture, use a PictureRecorder.

A Picture can be placed in a Scene using a SceneBuilder, via the SceneBuilder.addPicture method. A Picture can also be drawn into a Canvas, using the Canvas.drawPicture method.

## Properties

approximateBytesUsed → int
  Returns the approximate number of bytes allocated for this object. [...]
  read-only
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

dispose() → void
  Release the resources used by this object. The object is no longer usable after this method is called.
toImage(int width, int height) → Future<Image>
  Creates an image from this picture. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited